Index: debian/control
===================================================================
--- debian/control	(revision 461)
+++ debian/control	(working copy)
@@ -4,6 +4,8 @@
 Maintainer: Sean Finney <seanius@debian.org>
 Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, po-debconf, gs, texlive-latex-recommended | tetex-bin, texlive-latex-extra | tetex-extra, texlive-fonts-recommended | tetex-extra
 Standards-Version: 3.7.3
+Vcs-Svn: svn://svn.debian.org/dbconfig-common/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/dbconfig-common/trunk/
 
 Package: dbconfig-common
 Architecture: all
Index: debian/po/nl.po
===================================================================
--- debian/po/nl.po	(revision 461)
+++ debian/po/nl.po	(working copy)
@@ -382,7 +382,7 @@
 "help, this was the error encountered:"
 msgstr ""
 "Er is een fout opgetreden tijdens het opwaarderen van de database. Mocht u "
-"geïnteresseerd zijnj, dit is de tegengekomen foutmelding:"
+"geïnteresseerd zijn, dit is de tegengekomen foutmelding:"
 
 #. Type: select
 #. Description
Index: doc/dbconfig-common.sgml
===================================================================
--- doc/dbconfig-common.sgml	(revision 461)
+++ doc/dbconfig-common.sgml	(working copy)
@@ -75,6 +75,12 @@
 		creation, upgrade/remove/purge logic, et c.  after all,
 		the goal of <package>dbconfig-common</package> is to make life easier for
 		both the local admin <em>and</em> the package maintainer :)
+		<sect1 id="depends">update package dependencies
+			<p>
+			Your package needs to depend on <package>dbconfig-common</package>.
+			Also you should add Recommends for the command line client packages
+			of the database types you support, e.g. <package>mysql-client</package> or
+			<package>postgresql-client</package>.
 		<sect1 id="hooks">putting hooks into the maintainer scripts
 			<p>
 			in the <var>config</var>, <var>postinst</var>,
Index: internal/common
===================================================================
--- internal/common	(revision 461)
+++ internal/common	(working copy)
@@ -135,7 +135,7 @@
 		"mysql"|"psql"|"sqlite"|"sqlite3")
 			if ! _dbc_detect_installed_dbtype $1; then
 				dbc_error="No $1 client to execute.  (have
-				       you installed the ${dbc_dbclientpackage:-$1} package?"
+				       you installed the ${dbc_dbclientpackage:-$1} package?)"
 				dbc_logline "sanity check failed for $1"
 				return 1
 			fi
Index: examples/db-test-multidbtype-2.0/debian/control
===================================================================
--- examples/db-test-multidbtype-2.0/debian/control	(revision 461)
+++ examples/db-test-multidbtype-2.0/debian/control	(working copy)
@@ -8,7 +8,8 @@
 Package: db-test-multidbtype
 Architecture: all
 Depends: dbconfig-common
-Recommends: mysql-server | postgresql
+Recommends: mysql-client | postgresql-client | sqlite | sqlite3
+Suggests: mysql-server | postgresql
 Description: a package to test dbconfig-common (generic version)
  this is a package to test the dbconfig-common package.  
  .
Index: examples/db-test-mysql-frontend-2.0/debian/control
===================================================================
--- examples/db-test-mysql-frontend-2.0/debian/control	(revision 461)
+++ examples/db-test-mysql-frontend-2.0/debian/control	(working copy)
@@ -8,7 +8,8 @@
 Package: db-test-mysql-frontend
 Architecture: all
 Depends: dbconfig-common
-Recommends: mysql-server
+Recommends: mysql-client
+Suggests: mysql-server
 Description: a package to test dbconfig-common (mysql version)
  this is a package to test the dbconfig-common package.  
  .

Property changes on: examples/db-test-sqlite3-2.0/debian/rules
___________________________________________________________________
Added: svn:executable
   + *

Index: examples/db-test-mysql-2.0/debian/control
===================================================================
--- examples/db-test-mysql-2.0/debian/control	(revision 461)
+++ examples/db-test-mysql-2.0/debian/control	(working copy)
@@ -8,7 +8,8 @@
 Package: db-test-mysql
 Architecture: all
 Depends: dbconfig-common
-Recommends: mysql-server
+Recommends: mysql-client
+Suggests: mysql-server
 Description: a package to test dbconfig-common (mysql version)
  this is a package to test the dbconfig-common package.  
  .
Index: examples/db-test-mysql-perl-2.0/debian/control
===================================================================
--- examples/db-test-mysql-perl-2.0/debian/control	(revision 461)
+++ examples/db-test-mysql-perl-2.0/debian/control	(working copy)
@@ -8,7 +8,8 @@
 Package: db-test-mysql-perl
 Architecture: all
 Depends: dbconfig-common, libdbd-mysql-perl
-Recommends: mysql-server
+Recommends: mysql-client
+Suggests: mysql-server
 Description: a package to test dbconfig-common (mysql+perl version)
  this is a package to test the dbconfig-common package.  
  .
Index: examples/db-test-pgsql-migration-1.9/debian/control
===================================================================
--- examples/db-test-pgsql-migration-1.9/debian/control	(revision 461)
+++ examples/db-test-pgsql-migration-1.9/debian/control	(working copy)
@@ -7,7 +7,8 @@
 
 Package: db-test-pgsql-migration
 Architecture: all
-Recommends: postgresql
+Recommends: postgresql-client
+Suggests: postgresql
 Description: a package to test dbconfig-common (migration version)
  this is a package to test the dbconfig-common package.  
  .
Index: examples/db-test-mysql-2.1/debian/control
===================================================================
--- examples/db-test-mysql-2.1/debian/control	(revision 461)
+++ examples/db-test-mysql-2.1/debian/control	(working copy)
@@ -8,7 +8,8 @@
 Package: db-test-mysql
 Architecture: all
 Depends: dbconfig-common
-Recommends: mysql-server
+Recommends: mysql-client
+Suggests: mysql-server
 Description: a package to test dbconfig-common (mysql version)
  this is a package to test the dbconfig-common package.  
  .
Index: examples/db-test-pgsql-2.0/debian/control
===================================================================
--- examples/db-test-pgsql-2.0/debian/control	(revision 461)
+++ examples/db-test-pgsql-2.0/debian/control	(working copy)
@@ -7,8 +7,9 @@
 
 Package: db-test-pgsql
 Architecture: all
-Recommends: postgresql
 Depends: dbconfig-common
+Recommends: postgresql-client
+Suggests: postgresql
 Description: a package to test dbconfig-common (pgsql version)
  this is a package to test the dbconfig-common package.  
  .
Index: examples/db-test-pgsql-migration-2.0/debian/control
===================================================================
--- examples/db-test-pgsql-migration-2.0/debian/control	(revision 461)
+++ examples/db-test-pgsql-migration-2.0/debian/control	(working copy)
@@ -7,8 +7,9 @@
 
 Package: db-test-pgsql-migration
 Architecture: all
-Recommends: postgresql
 Depends: dbconfig-common
+Recommends: postgresql-client
+Suggests: postgresql
 Description: a package to test dbconfig-common (migration version)
  this is a package to test the dbconfig-common package.  
  .